WiPay
WAPIsv2.0.2Withdrawals

Retrieve Withdrawal

Retrieve a single withdrawal by transaction ID. Includes soft-deleted records.

GET
/withdrawals/{transaction_id}
AuthorizationBearer <token>

OAuth2 access token obtained from POST /auth/tokens.

In: header

Path Parameters

transaction_idstring

Response Body

curl -X GET "https://tt.wipayfinancial.com/wapi/withdrawals/string"
{
  "message": "string",
  "data": {
    "amount": "string",
    "bank_account_type": "chequing",
    "bank_account": "string",
    "bank_branch": "string",
    "bank_name": "string",
    "created_at": "2019-08-24T14:15:22Z",
    "currency": "string",
    "deleted_at": "2019-08-24T14:15:22Z",
    "email": "user@example.com",
    "fee_amount": "string",
    "id_number": "string",
    "id_type": "driver_permit",
    "name_in_bank": "string",
    "phone": "string",
    "recipient_name": "string",
    "reference": "2ddb20b8-e0e3-45ae-a638-42610b990a6a",
    "status_description": "string",
    "status": 9,
    "transaction_id": "string",
    "updated_at": "2019-08-24T14:15:22Z",
    "withdrawal_type": "normal"
  }
}
{
  "message": "string"
}